###################
# build libjpeg
# $LastChangedDate: 2009-12-05 08:15:54 -0800 (Sat, 05 Dec 2009) $ $LastChangedRevision: 32319 $
#

JPEG_TB=jpegsrc.v6b.tar.bz2
JPEG_DIR=jpeg-6b

if [ "X$INSTALL_JPEG" = "Xyes" ] && [ ! -e "$LOCAL_HOME/lib/libjpeg.a" ]
then
	echo "Compiling and installing jpeg local libraries ..."

	mkdir "$LOCAL_HOME/lib" >> $INSTALL_LOG 2>&1
	mkdir "$LOCAL_HOME/bin" >> $INSTALL_LOG 2>&1
	mkdir "$LOCAL_HOME/include" >> $INSTALL_LOG 2>&1
	mkdir "$LOCAL_HOME/man" >> $INSTALL_LOG 2>&1
	mkdir "$LOCAL_HOME/man/man1" >> $INSTALL_LOG 2>&1
	
	cd "$PKG"
	untar "$JPEG_TB"
	chmod -R 755 "$JPEG_DIR"
	cd "$JPEG_DIR"
	# Oddities to workaround: on Mac OS X, using the "--enable-static"
	# flag will cause the make to fail. So, we need to manually
	# create and place the static library.
	./configure CFLAGS="$CFLAGS" --prefix="$LOCAL_HOME" >> $INSTALL_LOG 2>&1
	"$GNU_MAKE" >> $INSTALL_LOG 2>&1
	"$GNU_MAKE" install >> $INSTALL_LOG 2>&1
	# --enable-static flag doesn't work on OS X, make sure
	# we get an install anyway
	if [ ! -e "$LOCAL_HOME/lib/libjpeg.a" ]
	then
		ranlib libjpeg.a
		cp libjpeg.a "$LOCAL_HOME/lib"
		cp *.h "$LOCAL_HOME/include"
	fi

	if [ ! -e "$LOCAL_HOME/lib/libjpeg.a" ]
	then
		echo "Local install of libjpeg has failed"
		seelog
		exit 1
	fi

	cd $PKG
	if [ -d "$JPEG_DIR" ]
	then
	        rm -rf "$JPEG_DIR"
	fi
else
	echo "Skipping libjpeg compile/install"
fi

cd "$CWD"